﻿.header-box{
    width: 1200px;
    max-width: 100%;
    margin: 0 auto;
    display: block;
    position: relative;
    padding: 10px 0;
    box-sizing: border-box;
    font-size: 0;
    z-index: 99;
}

.header-menu-box{
    display: inline-block;
    vertical-align: bottom;
    width: calc(100% - 262px);
    position: relative;
    text-align: right;
}
.header-logo{
    width: 262px;
    max-width: 100%;
    display: inline-block;
    vertical-align: middle;

}

.header2{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: block;
    background-color: #000;
    z-index: 99;

}
.header2 .header-box{
    width: 80%;
}
.header2 .header-menu{
    display: inline-block;
}
.header2 .header-link-box{
    position: static;
    display: inline-block;
    padding-left: 20px;
}
.header2 .header-menu-box{
    width: calc(100% - 200px);
    vertical-align: middle;
    top: 10px;
}
.header2 .header-logo{
    width: 200px;
}

/* header-購物車 */
.header-link-box{
    display: block;
    text-align: right;
    position: absolute;
    top: -45px;
    right: 0;
}
.header-link-box a{
    display: inline-block;
    vertical-align: middle;
    transition: all .3s linear;
    font-size: 14px;
    letter-spacing: 1px;
}
.header-link-box .header-shopcar-box a{
    color: #2a6bb4;
}
.header-member-box{
    color: #FFF;
    display: inline-block;
}
.header-shopcar-box{
    color: #FFF;
    display: inline-block;
    margin-left: 20px;
    position: relative;
    padding-bottom: 10px;
}

.header-link-box a i{
    display: inline-block;
    font-weight: bold;
}
.header-member-title{
    display: inline-block;
    font-weight: bold;
}
.header-shopcar-info-box{
    width: 140px;
    height: 100px;
    display: block;
    z-index: 1;
    position: absolute;
    background-color: #FFF;
    border: 1px solid #73c0cb;
    text-align: center;
    bottom: -109px;
    right: 0;
    transform: scale(0,1);
    transition: all .3s linear;
    transform-origin: right;
}

.header-shopcar-icon{
    width: 15px;
    height: 15px;
    background-color: #FFF;
    border-left: 1px solid #73c0cb;
    border-top: 1px solid #73c0cb;
    position: absolute;
    right: 10px;
    top: -9px;
    transform: rotate(45deg);

}
.header-shopcar-products{
    font-size: 14px;
    color: #565656;
    padding-top: 8px;
    letter-spacing: 2px;
}
.header-shopcar-products span{
    color: #eb7070;
}
.header-shopcar-money{
    font-size: 14px;
    color: #565656;
    letter-spacing: 2px;
    padding-top:8px 
}
.header-shopcar-money span{
    font-weight: bold;
    color: #e96363;
}
.header-link-box .header-shopcar-info-box a{
    letter-spacing: 2px;
    padding-top: 8px;
}
.header-shopcar-box:hover .header-shopcar-info-box,
.header-shopcar-box.active .header-shopcar-info-box{
    transform: scale(1, 1);
}
.header-member-show,
.header-member-name,
.header-member-show span{
    display: inline-block;
}

/* header-會員登入後 */

.header-member-show{
    font-size: 0;
}
.header-member-show-line{
    display: inline-block;
}
.header-member-show{
    display: inline-block;
    vertical-align: middle;
    transition: all .3s linear;
    font-size: 14px;
    font-weight: bold;
}
.header-member-show> span{
    display: inline-block;
    vertical-align: middle;
    margin: 0 5px;
}
.header-member-name span{
    color: #63acff;
}
.header-member-show-line{
    width: 1px ;
    height: 15px;
    display: inline-block;
    vertical-align: bottom;
    background-color: #2968af;
    margin: 0 5px;
    margin-bottom: 4px;
}
.header-member-name{
    font-weight:bold;
}

/* header-menu */
.header-menu{
 
    display: block;
    text-align: right;
}
.header-menu-list{
    display: inline-block;
    vertical-align: middle;
    font-size: 18px;
    color: #FFF;
    font-weight: bold;
    font-style:italic;
    transition: all .3s linear;
    padding: 0 15px;
    letter-spacing: 3px;
}
.header-menu .header-menu-list:last-child{
    padding-right: 0;
}


/*----------------------------------*/
.rwd-menu{
    width: 59px;
    position: absolute;
    right: 3%;
    top: 25px;
    z-index: 99999;
    display: none;
}
.rwd-menu span{
    width: 35px;
    display: block;
    margin: 0 auto;
    height: 4px;
    background-color: #000;
    position: relative;
}
#index .rwd-menu span{
    background-color: #FFF;
}
.rwd-menu span:nth-child(even){
    margin: 6px auto;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(4){
    top: -22px;
    transform:  scale(0) rotate(-45deg);
}

.rwd-menu.active span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0;
}

.rwd-menu.active span:nth-child(2){
    transform: rotate(45deg);
    transition: all .4s linear;
}
.rwd-menu.active span:nth-child(4){
    transform: scaleX(1) rotate(-45deg);
    transition-delay: 0.3s;
}
.rwd-menu.active span{
    background-color: #FFF;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    background-color: rgba(0, 0, 0, 0.6);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9;
}
.mask.active{
    display: block;
}